## ktp-contact-list 0.5.2

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( sk )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

## ktp-contact-list 0.3.1

=== debian/changelog ===
ktp-contact-list (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:05 +0100

ktp-contact-list (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package (based on Debian unreleased packaging)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 05 Feb 2012 12:26:43 +0100

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.3),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list

Package: kde-telepathy-contact-list
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.3)
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-data
Architecture: all
Depends: ${misc:Depends}
Description: Shared data for all the telepathy-kde components
 This package contains the icons used by all telepathy-kde components
 as well as the .notifyrc file that is used for showing notifications
 from those components.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-contact-list-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-contact-list (= ${binary:Version}), ${misc:Depends}
Description: Telepathy contact list for the KDE Plasma Desktop - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact list.

## ktp-contact-list 0.4.0

=== debian/changelog ===
ktp-contact-list (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:20:19 +0300

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

Package: kde-telepathy-contact-list
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-contact-list-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-contact-list (= ${binary:Version}), ${misc:Depends}
Description: Telepathy contact list for the KDE Plasma Desktop - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact list.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.bz2

## ktp-contact-list 0.5.1

=== debian/changelog ===
ktp-contact-list (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:37:22 +0530

ktp-contact-list (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:43:37 +0530

ktp-contact-list (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 21:57:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktp-contact-list
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0)
+ libktpcommoninternalsprivate-dev (>= 0.5.1)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

## ktp-contact-list 0.5.2

=== debian/changelog ===
ktp-contact-list (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:22:18 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1)
+ libktpcommoninternalsprivate-dev (>= 0.5.2)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

## ktp-contact-list 0.6.1

=== debian/changelog ===
ktp-contact-list (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:32:00 +0100

ktp-contact-list (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:15:07 +0100

ktp-contact-list (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Add libtelepathy-logger-qt4-dev, libtelepathy-logger-dev to build-deps

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:27:19 +0000

ktp-contact-list (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:25:26 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  libtelepathy-qt4-dev (>= 0.9.1),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.2)
+ libktpcommoninternalsprivate-dev (>= 0.6.0),
+ libtelepathy-logger-qt4-dev (>= 0.6.0),
+ libtelepathy-logger-dev
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

## ktp-contact-list 0.6.3

=== debian/changelog ===
ktp-contact-list (0.6.3-1fakesync1) saucy-proposed; urgency=low

  * Fake sync due to mismatching orig tarball (LP: #1212603).

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 21 Aug 2013 11:22:48 +0200

ktp-contact-list (0.6.3-1) unstable; urgency=low

  [ Diane Trout ]
  * Update watch file as KDE-Telepathy is now in KDE stable release.
  * Imported Upstream version 0.6.2
  * Bump ktp-common-internals dependency to 0.6.2
  * Bump libtelepathy-qt4-dev dependency to 0.9.3
  * Add dependency on libtelepathy-logger-qt
  * Set Uploaders to Diane Trout and Michał Zając
  * Update Standards-Version to 3.9.4. No changes needed.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:33:39 +1000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: ktp-contact-list
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
+Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.1),
+ libtelepathy-qt4-dev (>= 0.9.3),
  kdelibs5-dev (>= 4:4.6),
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.0),
- libtelepathy-logger-qt4-dev (>= 0.6.0),
- libtelepathy-logger-dev
-Standards-Version: 3.9.3
+ libtelepathy-logger-dev,
+ libtelepathy-logger-qt4-dev (>= 0.5.60),
+ libktpcommoninternalsprivate-dev (>= 0.6.3)
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
 
 Package: kde-telepathy-contact-list
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.6.2)
 Recommends: kde-telepathy
 Description: Telepathy contact list for the KDE Plasma Desktop
  This package provides a contact list application based on telepathy,

## ktp-contact-list 0.8.0

=== CMakeLists.txt ===
project (ktp-contactlist)

set(KTP_CONTACT_LIST_VERSION "0.8.0")

set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)

set(IS_KTP_INTERNAL_MODULE TRUE)
set(KDE_MIN_VERSION "4.4.75")
find_package (KDE4 4.4.75 REQUIRED)
find_package (TelepathyQt4 0.9.3 REQUIRED)
find_package (KTp REQUIRED)
find_package (KPeople 0.2.1)


macro_log_feature(KPEOPLE_FOUND "KPeople" "Support for KDE Contact Aggregation" "https://projects.kde.org/libkpeople" FALSE "" "")
macro_display_feature_log()

if (KPEOPLE_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
    find_package (KdepimLibs REQUIRED)
    include_directories(${KPEOPLE_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})
endif (KPEOPLE_FOUND)

include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${KDE4_DEFINITIONS})

include_directories (${KDE4_INCLUDES}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
                     ${KTP_INCLUDE_DIR}
)


set (ktp_contactlist_SRCS 
     contact-list-widget.cpp
     context-menu.cpp
     abstract-contact-delegate.cpp
     contact-list-application.cpp
     contact-view-hover-button.cpp
     contact-overlays.cpp
     contact-delegate-overlay.cpp
     contact-delegate.cpp
     contact-delegate-compact.cpp
     account-button.cpp
     account-buttons-panel.cpp
     filter-bar.cpp
     main.cpp
     main-widget.cpp
     global-presence-chooser.cpp
     dialogs/remove-contact-dialog.cpp
     dialogs/custom-presence-dialog.cpp
     presence-model.cpp
     tooltips/ktooltip.cpp
     tooltips/tooltipmanager.cpp
     tooltips/ktooltipwindow.cpp
     tooltips/contacttooltip.cpp
     tooltips/persontooltip.cpp
)



set (ktp_contactlist_LIBS
    ${KTP_LIBRARIES}
    ${KTP_MODELS_LIBRARIES}
    ${KTP_WIDGETS_LIBRARIES}
    ${KTP_LOGGER_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    )

if(KPEOPLE_FOUND)
set (ktp_contactlist_LIBS
    ${ktp_contactlist_LIBS}
    ${KPEOPLE_LIBRARY}
    ${KDEPIMLIBS_KABC_LIBS}
    ${KPEOPLEWIDGETS_LIBRARY}
)
endif(KPEOPLE_FOUND)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

kde4_add_ui_files (ktp_contactlist_SRCS
                   main-widget.ui
                   dialogs/remove-contact-dialog.ui
                   tooltips/contacttooltip.ui
                   tooltips/persontooltip.ui
)

kde4_add_executable (ktp-contactlist
                     ${ktp_contactlist_SRCS}
)

target_link_libraries (ktp-contactlist
                     ${ktp_contactlist_LIBS}
)


# Install:
install (TARGETS ktp-contactlist
         DESTINATION ${BIN_INSTALL_DIR}
)

install (PROGRAMS ktp-contactlist.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR}
)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
+add_subdirectory( bs )
 add_subdirectory( ca )
+add_subdirectory( ca@valencia )
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
@@ -10,10 +12,14 @@
 add_subdirectory( ga )
 add_subdirectory( gl )
 add_subdirectory( hu )
+add_subdirectory( ia )
 add_subdirectory( it )
 add_subdirectory( ja )
+add_subdirectory( kk )
 add_subdirectory( km )
+add_subdirectory( ko )
 add_subdirectory( lt )
+add_subdirectory( mr )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
@@ -21,13 +27,17 @@
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ro )
+add_subdirectory( ru )
 add_subdirectory( sk )
+add_subdirectory( sl )
 add_subdirectory( sr )
 add_subdirectory( sr@ijekavian )
 add_subdirectory( sr@ijekavianlatin )
 add_subdirectory( sr@latin )
 add_subdirectory( sv )
+add_subdirectory( tr )
 add_subdirectory( ug )
 add_subdirectory( uk )
+add_subdirectory( vi )
 add_subdirectory( zh_CN )
 add_subdirectory( zh_TW )

=== debian/changelog ===
ktp-contact-list (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:08:31 +0200

ktp-contact-list (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:13:58 +0100

ktp-contact-list (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:45:44 +0100

ktp-contact-list (0.7.0-0ubuntu2) trusty; urgency=low

  * Add libkpeople-dev to Build Deps

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 01 Nov 2013 20:08:44 +0100

ktp-contact-list (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:46:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ktp-contact-list
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -11,7 +11,8 @@
  cmake (>= 2.8),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev (>= 0.5.60),
- libktpcommoninternalsprivate-dev (>= 0.6.3)
+ libktpcommoninternalsprivate-dev (>= 0.8.0),
+ libkpeople-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-contact-list-dbg --list-missing

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.bz2

## ktp-contact-list 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project (ktp-contactlist)
 
-set(KTP_CONTACT_LIST_VERSION "0.8.0")
+set(KTP_CONTACT_LIST_VERSION "0.8.1")
 
 set (CMAKE_MODULE_PATH
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
@@ -47,6 +47,7 @@
      contact-delegate-compact.cpp
      account-button.cpp
      account-buttons-panel.cpp
+     empty-row-filter.cpp
      filter-bar.cpp
      main.cpp
      main-widget.cpp

=== debian/changelog ===
ktp-contact-list (0.8.1-2) unstable; urgency=medium

  * Add kde-telepathy-kpeople as a dependency to ktp-contactlist
    this should force installing of the kpeople components to
    prevent the contact list from being empty.
    (Closes: #753305)

 -- Diane Trout <diane@ghic.org>  Tue, 21 Oct 2014 22:07:01 -0700

ktp-contact-list (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Update ktp-common-internals and kde-telepathy-data to 0.8.1
  * Enable kpeople with build-depends >= 0.2.2
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:01:52 -0700

ktp-contact-list (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends of libktpcommoninternalsprivate-dev to 0.7.0
  * Bump depends kde-telepathy-data to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:11:34 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktp-contact-list
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
@@ -11,16 +10,16 @@
  cmake (>= 2.8),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev (>= 0.5.60),
- libktpcommoninternalsprivate-dev (>= 0.8.0),
- libkpeople-dev
-Standards-Version: 3.9.4
+ libktpcommoninternalsprivate-dev (>= 0.8.1),
+ libkpeople-dev (>= 0.2.2)
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
 
 Package: kde-telepathy-contact-list
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.6.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1), kde-telepathy-kpeople
 Recommends: kde-telepathy
 Description: Telepathy contact list for the KDE Plasma Desktop
  This package provides a contact list application based on telepathy,

## ktp-contact-list 0.9.0

=== debian/changelog ===
ktp-contact-list (0.9.0-0ubuntu1) vivid; urgency=medium

  * Merge from Debian git, no changes
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:01 +0100

ktp-contact-list (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Change kde-telepathy-data to source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sun, 21 Sep 2014 10:56:47 -0700

ktp-contact-list (0.8.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/upstream_Dont-crash-on-account-manager-not-ready.diff:
      + Do not load dialogs if account manager is not ready.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 09 Jul 2014 08:06:01 +0200

ktp-contact-list (0.8.1-0ubuntu2) utopic; urgency=medium

  * Add upstream_Dont-crash-on-account-manager-not-ready.diff (LP: #1319085)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 13 May 2014 17:30:35 +0200

ktp-contact-list (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:09:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ktp-contact-list
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
@@ -10,8 +10,8 @@
  cmake (>= 2.8),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev (>= 0.5.60),
- libktpcommoninternalsprivate-dev (>= 0.8.1),
- libkpeople-dev (>= 0.2.2)
+ libktpcommoninternalsprivate-dev (>= 0.8.80),
+ libkpeople-dev (>= 0.3)
 Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
@@ -19,7 +19,7 @@
 
 Package: kde-telepathy-contact-list
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.8.1), kde-telepathy-kpeople
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= ${source:Upstream-Version})
 Recommends: kde-telepathy
 Description: Telepathy contact list for the KDE Plasma Desktop
  This package provides a contact list application based on telepathy,

## ktp-contact-list 15.08.2

=== debian/changelog ===
ktp-contact-list (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:50:29 +0100

ktp-contact-list (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:31:20 +0100

ktp-contact-list (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:41:53 +0100

ktp-contact-list (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:18:08 +0100

ktp-contact-list (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + Update watch file. Now released as part of applications.
    + Update rules to use pkg-kde-tools helper

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 13 May 2015 22:36:25 -0700

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kio-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-contact-list.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-contact-list.git

Package: kde-telepathy-contact-list
Architecture: any
Depends: kde-telepathy-data,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-contact-list-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-contact-list (= ${binary:Version}), ${misc:Depends}
Description: Telepathy contact list for the KDE Plasma Desktop - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact list.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-contact-list-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.xz

## ktp-contact-list 15.08.3

=== debian/changelog ===
ktp-contact-list (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:37:12 -0800

ktp-contact-list (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTps move to Applications.
  * New upstream release.
  * Use --fail-missing to make it easier to find not installed files.
  * Update build-depends to use libtelepathy-qt5, libtelepathy-logger-qt-dev,
    qtbase5, extra-cmake-modules and many kf5 libraries.
  * Update copyright file, a few modules are now LGPL, the po/* files
    are somewhere else and I added myself to the debian/ block
  * Update install paths for ktp-contactlist
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Add KDE's unstable download url to watch file

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:44:51 -0800

ktp-contact-list (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update copyright file.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:47:52 -0700

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 qtbase5-dev,
 cmake (>= 2.8),
 extra-cmake-modules,
 kio-dev,
 libtelepathy-logger-dev,
 libtelepathy-logger-qt-dev (>= 0.5.60),
 libtelepathy-qt5-dev (>= 0.9.3),
 libktp-dev (>= 15.04),
 libkf5people-dev (>= 0.5),
 libkf5dbusaddons-dev,
 libkf5kcmutils-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5iconthemes-dev,
 libkf5wallet-dev,
 libkf5windowsystem-dev,
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-list
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

Package: kde-telepathy-contact-list
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 kde-telepathy-data (>= 0.8.1),
 kde-telepathy-kpeople
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-contact-list-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-contact-list (= ${binary:Version}), ${misc:Depends}
Description: Telepathy contact list for the KDE Plasma Desktop - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact list.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-contact-list-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+).tar.(?:bz2|xz)

## ktp-contact-list 15.12.3

=== CMakeLists.txt ===
project (ktp-contactlist)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_CONTACT_LIST_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package (Qt5 5.0 REQUIRED COMPONENTS Widgets Xml)
find_package (KF5 5.11 REQUIRED COMPONENTS DBusAddons KIO KCMUtils Notifications WindowSystem NotifyConfig I18n IconThemes XmlGui KCMUtils People)
find_package (TelepathyQt5 0.9.3 REQUIRED)
find_package (KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "KDE Contacts aggregation"
                       TYPE OPTIONAL
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
endif ()

set (ktp_contactlist_SRCS
     contact-list-widget.cpp
     context-menu.cpp
     abstract-contact-delegate.cpp
     contact-view-hover-button.cpp
     contact-overlays.cpp
     contact-delegate-overlay.cpp
     contact-delegate.cpp
     contact-delegate-compact.cpp
     empty-row-filter.cpp
     ktp-contactlist-debug.cpp
     filter-bar.cpp
     main.cpp
     main-widget.cpp
     global-presence-chooser.cpp
     dialogs/remove-contact-dialog.cpp
     dialogs/custom-presence-dialog.cpp
     tooltips/ktooltip.cpp
     tooltips/tooltipmanager.cpp
     tooltips/ktooltipwindow.cpp
     tooltips/contacttooltip.cpp
     tooltips/persontooltip.cpp
)

if(KF5People_FOUND)
    set (ktp_contactlist_LIBS
        KF5::PeopleWidgets
    )
endif()

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

ki18n_wrap_ui(ktp_contactlist_SRCS
    main-widget.ui
    dialogs/remove-contact-dialog.ui
    tooltips/contacttooltip.ui
    tooltips/persontooltip.ui
)

add_executable (ktp-contactlist ${ktp_contactlist_SRCS})

target_link_libraries (ktp-contactlist ${ktp_contactlist_LIBS}
    KF5::KIOWidgets
    KF5::KCMUtils
    KF5::NotifyConfig
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::XmlGui
    KF5::KCMUtils
    KF5::Notifications
    KF5::WindowSystem
    KTp::Models
    KTp::Widgets
    KTp::Logger
    KTp::CommonInternals
)

configure_file(org.kde.ktpcontactlist.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktpcontactlist.service)


# Install:
install (TARGETS ktp-contactlist
         ${INSTALL_TARGETS_DEFAULT_ARGS}
)

install (PROGRAMS org.kde.ktpcontactlist.desktop
         DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktpcontactlist.service
         DESTINATION ${DBUS_SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-contact-list (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add missing epoch libktp-dev depend. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:10:16 -0700

ktp-contact-list (4:15.12.1-2ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch for Kubunbu
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:20:17 +0100

ktp-contact-list (15.12.1-2) experimental; urgency=medium

  * Bump build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Feb 2016 20:52:57 +0100

ktp-contact-list (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:21 +0100

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev (>= 5.11~),
               libkf5dbusaddons-dev (>= 5.11~),
               libkf5i18n-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.11~),
               libkf5xmlgui-dev (>= 5.11~),
               libktp-dev (>= 4:15.12~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.5.60),
               libtelepathy-qt5-dev (>= 0.9.3~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-list
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-contact-list.git

Package: kde-telepathy-contact-list
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-contact-list-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+)\.tar\.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-contact-list-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-contact-list 16.04.3

=== debian/changelog ===
ktp-contact-list (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:45 +0200

ktp-contact-list (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:32:52 -0700

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5people-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libktp-dev (>= 4:16.04.3~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.5.60),
               libtelepathy-qt5-dev (>= 0.9.3~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-list
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-list
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-list

Package: kde-telepathy-contact-list
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-contact-list-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-contact-list 16.12.3

=== debian/changelog ===
ktp-contact-list (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:41 +0000

ktp-contact-list (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:21 +0000

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libktp-dev (>= 4:16.12.3~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 0.5.60),
               libtelepathy-qt5-dev (>= 0.9.3~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-list
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-list
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-contact-list

Package: kde-telepathy-contact-list
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-contact-list 17.04.3

=== debian/changelog ===
ktp-contact-list (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5wallet-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 0.5.60),
                libtelepathy-qt5-dev (>= 0.9.3~),
@@ -37,6 +37,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: kde-telepathy
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Telepathy contact list for the KDE Plasma Desktop
  This package provides a contact list application based on telepathy,
  which allows you to list your friends from all your IM accounts and

## ktp-contact-list 17.08.3

=== debian/changelog ===
ktp-contact-list (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kde-telepathy-contact-list.install, no more useful now
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:49:07 +0100

ktp-contact-list (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Update watch file
  * Add breaks/replaces against the kde-l10n packages
  * Drop soon to be deprecated fail-missing
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:06 +0200

ktp-contact-list (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:37:30 +0200

ktp-contact-list (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * upstream branch
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:02:29 +0200

=== debian/control ===
Source: ktp-contact-list
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5dbusaddons-dev (>= 5.11~),
               libkf5i18n-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.11~),
               libkf5xmlgui-dev (>= 5.11~),
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-contact-list
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-contact-list.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-contact-list.git

Package: kde-telepathy-contact-list
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy contact list for the KDE Plasma Desktop
 This package provides a contact list application based on telepathy,
 which allows you to list your friends from all your IM accounts and
 begin chatting with them.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-contact-list-dbg (<= 15.12.1-1~~)'
